Subject: bug#22471: ert batch should print compile parsable error messages

From: Stefan Kangas <[email-masked]>
Date: Sun, 24 Oct 2021 07:27:31 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Well -- ert-deftest doesn't record what file it's from, I think?
> Looking at the definition, it just adds the test to the symbol-plist.
> So that macro would also have to stash the file name somewhere.
> load-history would be possible (but sounds unclean), so stashing it in
> the symbol-plist would be better.
>
> Then find-definition-noselect could be extended to use that for this
> type.

Right, I'm just wondering what has changed as presumably the patch
worked when Phillip Lord first wrote it?